using DigitalData.Core.Abstraction.Application.Repository;
using DigitalData.UserManager.Domain.Entities;

namespace DigitalData.UserManager.Application.Contracts.Repositories;

[Obsolete("Use IRepository")]
public interface IModuleOfUserRepository : ICRUDRepository<ModuleOfUser, int>
{
    IQueryable<ModuleOfUser> ReadByModuleId(int moduleId);

    Task<IEnumerable<ModuleOfUser>> ReadByModelUserIdAsync(int moduleId, int userId);

    Task<IEnumerable<ModuleOfUser>> ReadByUserAsync(string username);
}